# Uses of Class
javafx.scene.control.TableView.TableViewSelectionModel

Packages that use TableView.TableViewSelectionModel
Package
Description
javafx.scene.control
The JavaFX User Interface Controls (UI Controls or just Controls) are specialized Nodes in the JavaFX Scenegraph especially suited for reuse in many different application contexts.

## Uses of TableView.TableViewSelectionModel in javafx.scene.control

Methods in javafx.scene.control that return TableView.TableViewSelectionModel
Modifier and Type
Method
Description
`final TableView.TableViewSelectionModel<S>`
TableView.`getSelectionModel()`
Gets the value of the `selectionModel` property.
Methods in javafx.scene.control that return types with arguments of type TableView.TableViewSelectionModel
Modifier and Type
Method
Description
`final ObjectProperty<TableView.TableViewSelectionModel<S>>`
TableView.`selectionModelProperty()`
The SelectionModel provides the API through which it is possible to select single or multiple items within a TableView, as well as inspect which items have been selected by the user.
Methods in javafx.scene.control with parameters of type TableView.TableViewSelectionModel
Modifier and Type
Method
Description
`final void`
TableView.`setSelectionModel(TableView.TableViewSelectionModel<S> value)`
Sets the value of the `selectionModel` property.